package utils

import (
	"github.com/aliyun/aliyun-oss-go-sdk/oss"
	"system_pay/setting"
	"time"
)

var(
	//setting
	//accessKeyID = setting.Conf.JwtSecret
	//endPoint = setting.Conf.endPoint
	//bucket = setting.Conf.bucket
	//accessKeySecret = setting.Conf.accessKeySecret

	//accessKeyID = setting.Conf.Oss.AccessKeyID
	//accessKeySecret = setting.Conf.Oss.AccessKeySecret
	//endPoint = setting.Conf.Oss.EndPoint
	//bucket = setting.Conf.Oss.Bucket

	//accessKeyID = "LTAIDfwPBC9AnsRt"
	//endPoint = "Z6FtUptrAk0Sl6H8vrVBGZLbBzXEpO"
	//bucket = "oss-cn-beijing.aliyuncs.com"
	//accessKeySecret = "dbc-static"
	Buckets *oss.Bucket
)

func GetOssBucket() (*oss.Bucket, error) {
	// oss
	accessKeyID := setting.Conf.Oss.AccessKeyID
	accessKeySecret := setting.Conf.Oss.AccessKeySecret
	endPoint := setting.Conf.Oss.EndPoint
	bucket := setting.Conf.Oss.Bucket
	if Buckets == nil {
		client, err := oss.New(endPoint, accessKeyID, accessKeySecret)
		if err != nil {
			return nil, err
		}

		// 获取存储空间。
		Buckets, err = client.Bucket(bucket)
		if err != nil {
			return nil, err
		}
	}
	return Buckets, nil
}

func GetDate() string {
	year := time.Now().Format("2006")
	month := time.Now().Format("01")
	day := time.Now().Format("02")
	return year + month + day
}

